Bug 629752 - dragging gnome-terminal tab to desktop maximizes new terminal window
dragging gnome-terminal tab to desktop maximizes new terminal window
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2010-09-02 16:47 EDT by Joel Uckelman
Modified: 2011-05-31 10:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-05-31 10:48:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joel Uckelman 2010-09-02 16:47:54 EDT
Description of problem:

Dragging a tab from gnome-terminal to the desktop puts that tab into a new window. Prior to F13, the new window kept the same size as the tab it came from. In F13, the new window starts maximized, which is annoying, nor is the old size of the tab its unmazimized size, which is also annoying. This change greatly reduces the usefulness of tab dragging.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Run gnome-terminal
2. CTRL-SHIFT-T to create a second tab
3. Drag a tab to the desktop
Actual results:

The new terminal window is maximized.

Expected results:

The new terminal window should be the same size as the tab which was dragged.

Additional info:

I'm running with Compiz enabled, but I was on F12 also and tab dragging worked fine there.
Comment 1 Joel Uckelman 2010-11-01 14:06:20 EDT
I'm still running the same version of gnome-terminal as before---though many other things have since been updated---and can no longer reproduce the problem.
Comment 2 Bug Zapper 2011-05-31 10:39:42 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 

Note You need to log in before you can comment on or make changes to this bug.